import { Description } from "./Description.js";

/**
 * Special description that doesn't record anything
 */
export class NullDescription extends Description {
    appendText(text) {
        return this;
    }

    appendList(start, separator, end, values) {
        return this;
    }

    appendValueList(start, separator, end, values) {
        return this;
    }

    appendValue(value) {
        return this;
    }

    appendDescriptionOf(value) {
        return this;
    }
}

NullDescription.INSTANCE = new NullDescription();
